---
name: HoursInput
route: /Form/HoursInput
menu: Form
---

import { Playground, PropsTable } from 'docz'
import { View } from 'react-native'
import HoursInput from '../../../src'
import { colors } from '@barcard/functions'

## HoursInput

## About

Numeric input for hours text.

## Properties

<PropsTable of={HoursInput} includeDescription={true} />

## Basic Usage

<Playground>
  <View style={{ display: 'flex', flex: 1, backgroundColor: colors.primary2 }}>
    <HoursInput
      day={1}
      startTime={960}
      endTime={1560}
      onChange={(field, value) => console.log(`${field} changed to ${value}`)}
      handleSubmit={(field, value) => alert(`handleSubmit fired`)}
      handleRemove={(field, value) => alert(`handleRemove fired.`)}
    />
  </View>
</Playground>
